using NodePipeline.Abstractions.Interfaces.Nodes;
using NodePipeline.Engine.CodeGeneration.Abstractions.Models;

// ReSharper disable NotAccessedField.Local

namespace NodePipeline.Engine.Tests.CodeGeneratorTests.Fixtures.MockNodes;

public class NodeWithoutParameterlessConstructor : INode
{
    private string _someValue;

    public NodeWithoutParameterlessConstructor(string someValue)
    {
        _someValue = someValue;
    }

    public void Execute()
    {
        throw new NotImplementedException();
    }

    internal static NodeDescriptor GetDescriptor()
    {
        return new NodeDescriptor(nameof(NodeWithoutParameterlessConstructor), false, typeof(SimpleNamedNode).FullName!,
            typeof(SimpleNamedNode).FullName!,
            [], false, null);
    }
}